Diablo® III

Does Diablo 2 run in Mountain Lion OS X 10.8

I know it doesn't work on Lion, but I tought that maybe if I upgraded to ML I could run it. Do you guys know something?
Reply Quote
MVP - Technical Support
View profile
diablo 2 does NOT run on 10.8, Diablo 3 does however.

Diablo 2 will need 10.6.8 or older, or any version of windows (such as boot camp setup) to run. or alternatively you can run it on 10.7 or higher if you use some kind of emulation or virtualisation like wine or crossover.
Reply Quote
And out of those emulators which one would you recommend?
Reply Quote
- Technical Support
90 Human Priest
6220
08/24/2012 02:55 PMPosted by OmegaSpartan
And out of those emulators which one would you recommend?


We don't recommend any emulation for Diablo 2. The best suggested method of playing it is in a genuine Windows install, which will give you full access to all available mods for it as a bonus. While D2's CPU requirements aren't on the steep side, the game does not do well in emulation and suffers frequent slowdowns.
Edited by TheTias#1192 on 5/29/2013 9:42 PM PDT
Reply Quote
90 Worgen Warlock
10495
I've been playing Diablo 2 since the D3 public beta weekend ended using Codeweavers Crossover and I've had no issues, no slowdowns, everything is great except for the cinematics that won't play. Wineskin Winery is a free alternative as is PlayOnMac.
Reply Quote
- Technical Support
90 Human Priest
6220
I highly recommend against Wineskin Winery unless the player has a very very very good understanding of how to set up those "Skins" - I've tried myself and even with my knowledge, I got WinAmp to run maybe for a few minutes, and then it crashed. Constantly. Works great in CrossOver, but not in WW.

Be careful of using certain mods for D2 in CrossOver - some of the .dll files they require don't play nicely.

That said, you may find that certain areas, notably Act V, don't always play nicely under even CrossOver/CrossOver Games (now labeled Impersonator by Codeweavers, a very horrible title if I do say so).
Reply Quote
I got D2 to run perfectly in wine on ubuntu. I know you can install wine on mac; so, maybe you can use Wine to run the game. I am looking to take this solution to fix the problem. As far as addons, mods, etc, etc, etc. I have never used them to play the game so I have no idea if they will even run in wine.
Reply Quote
I was very let down discovering the incompatibility. Diablo 3 while colorful, is just not as much fun as the second. I would really rather play d2 but cannot anymore because d3 strongly suggested I update systems (otherwise I couldn't even run the program I had bought and played. wtf?)
Also --->WHY ARE THERE NON MAGIC ITEMS OR EVEN NON MAGIC SOCKETED ITEMS IN DIABLO THREE. JUST WHY>?!
Reply Quote
MVP - Technical Support
View profile
Megathor, if your machine is capable of running Snow Leopard (10.6.8), then you can create a new partition in Disk Utility and install SL there and dual boot for Diablo 2. I'm going to have to do this once we're forced to use Lion/Mountain Lion only for Blizzard games. Hell, I'm already dual booting because I need ML for proper troubleshooting of Bilzzard's games at this point.
Reply Quote
sorry to bring this up.

anyway, i do not want to add much space in my built in ssd in my macbook because i deal with hi-res files and i want to preserve it for working on them. however, i got an external hard drive where i also play d3. would it be possible to create a partition on my tb xhd so i can play both d1 and d2?
Reply Quote
MVP - Technical Support
View profile
12/31/2013 01:18 AMPosted by alunsina
sorry to bring this up.

anyway, i do not want to add much space in my built in ssd in my macbook because i deal with hi-res files and i want to preserve it for working on them. however, i got an external hard drive where i also play d3. would it be possible to create a partition on my tb xhd so i can play both d1 and d2?


I'm afraid not. Windows will not boot from an external drive. You will have to make a boot camp installation on your internal drive. If your MacBook is able to run 10.6.8 (that is, if it did not ship with a later version of the OS from the factory), you can back up your internal SSD to an external drive using Carbon Copy Cloner and reformat the SSD as two partitions: one for your current OS, which you will restore from the backup, and the other partition for Snow Leopard for running Diablo 2.

Diablo 1 requires Windows since OS 9 cannot run on any MacBook outside of emulation, and you really don't want to do that.
________________________________________________
Technical Support MVP
Official Mac Tech Support Forum Cookie™ (Mint Chocolate Chip)
Guaranteed tasty; Potentially volatile when dipped in General Forums Syrup®
Caution: This cookie bites back.
Reply Quote
i have the version you are talking about and it still wont open it sends an error report is there a patch
Reply Quote
MVP - Technical Support
View profile
06/20/2014 06:09 PMPosted by dluna88
i have the version you are talking about and it still wont open it sends an error report is there a patch


This thread is old. Please start a new thread with a description of the issue you are having so we can help you. Please also give your system information in the post as well.

Obtaining and Posting System Information

1) Click on the Apple Menu while holding down the Option key and select System Profiler (10.6.8) / System Information (10.7 and later).

2) Copy the information from the following sections and paste them into your post. Please copy in the following order: Hardware Overview, Graphics, and Software. Do not include any serial numbers, hardware UUIDs, or account/login names or information in your post.
________________________________________________
Technical Support MVP
Prime Directives:
1. Serve the public trust.
2. Protect the innocent.
3. Uphold the law.
4. Smash, Jay, Smash!
Reply Quote

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)
Submit Cancel

Reported!

[Close]